net.sf.okapi.lib.xliff2.core

## Class InsingnificantPartData

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.InsingnificantPartData

-     public class InsingnificantPartData
      extends java.lang.Object

  Represents the information associated with an insignificant part (from the XLIFF viewpoint).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InsingnificantPartData.InsignificantPartType` Types of insignificant parts.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsingnificantPartData(InsingnificantPartData.InsignificantPartType type, java.lang.String data)` Creates a new `InsingnificantPartData` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()` Gets the data for this `InsingnificantPartData` object.
    `InsingnificantPartData.InsignificantPartType` | `getType()` Gets the type for this `InsingnificantPartData` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsingnificantPartData

          public InsingnificantPartData(InsingnificantPartData.InsignificantPartType type,
                                java.lang.String data)

      Creates a new `InsingnificantPartData` object.
      Parameters:
        `type` - the type of the object.
        `data` - the data for the new part.

  - ### Method Detail

    - #### getData

          public java.lang.String getData()

      Gets the data for this `InsingnificantPartData` object.
      Returns:
        the data for this `InsingnificantPartData` object.

    - #### getType

          public InsingnificantPartData.InsignificantPartType getType()

      Gets the type for this `InsingnificantPartData` object.
      Returns:
        the type for this `InsingnificantPartData` object.